<?php


namespace App\Services;


use App\Models\User;

class HomeService
{
    /**
     * 获取首页内容
     * @param $param
     */
    public function get_list($param){
        $query = User::query()
            ->leftJoin("users_info",'users.id','=','users_info.user_id')
            ->select(['users.id','users.is_vip','users.tencent_im_user_id','users.sex','users.is_auth','users.latitude','users.longitude','users.online','users_info.avatar','users_info.nickname','users_info.area','users_info.birthday','users_info.height','users_info.weight'])
            ->paginate(request('perPage',20));
        $query = $query->toArray();
        foreach ($query['data'] as $k=>$v){
                $query['data'][$k]['age'] =!empty($v['birthday'])? birthday($v['birthday']):0;
        }
        return $query;
    }
}
